package hh.michelson;

public class C {
	/**----------------------------------------------------------
	* constant vector
	* ----------------------------------------------------------*/

	static final int		SR = 44100;
	/*static final double PI = 4. * Math.atan(1.);*/
	static final double		PI = Math.PI;
	static final double		twoPI = 2. * Math.PI;
	static final double		quadPI = Math.pow(Math.PI, 2);
	static final int		maxBarProgress = 999;
	static int				windowWidth;

	static final String playingKey = "playing";
	static final boolean playingDefault = false;

	static final String waveKey = "WAVE";
	static final Wave waveDefault = Wave.F1;

	static final HandleDef pulseDef = new HandleDef("PULSE", "pulse", 0.1, 3, 0);
	static final HandleDef pauseDef = new HandleDef("PAUSE", "pause", 0.1, 3, 0);
	static final HandleDef slopeDef = new HandleDef("SLOPE", "slope", 1, 30, 0);
	static final HandleDef freqDef = new HandleDef("FREQ", "frequence", 220, 880, 220);
	static final HandleDef freqProgrDef = new HandleDef("FREQPROGR", "freq progress", -33, 33, 0);
	static final HandleDef amplitudeDef = new HandleDef("AMPLITUDE", "amplitude", 0, 10000, 5000);

	static final String		muteKey		    = "MUTE";
	static final boolean	muteDefault		= false;
}

class HandleDef {
	String Key;
	String Label;
	double Min;
	double Max;
	double Default;
	HandleDef(String Key, String Label, double Min, double Max, double Default) {
		this.Key = Key;
		this.Label = Label;
		this.Min = Min;
		this.Max = Max;
		this.Default = Default;
	}
}
